org.apache.lucene.search.join

## Class ToParentBlockJoinIndexSearcher

- java.lang.Object
- - org.apache.lucene.search.IndexSearcher
  - - org.apache.lucene.search.join.ToParentBlockJoinIndexSearcher

-     public class ToParentBlockJoinIndexSearcher
      extends IndexSearcher

  An `IndexSearcher` to use in conjunction with `ToParentBlockJoinCollector`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.IndexSearcher

      `IndexSearcher.LeafSlice`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.IndexSearcher

      `leafContexts, leafSlices, readerContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToParentBlockJoinIndexSearcher(IndexReader r)` Creates a searcher searching the provided index.
    `ToParentBlockJoinIndexSearcher(IndexReader r, ExecutorService executor)` Creates a searcher searching the provided index.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `search(List<LeafReaderContext> leaves, Weight weight, Collector collector)`

    - ### Methods inherited from class org.apache.lucene.search.IndexSearcher

      `collectionStatistics, count, createNormalizedWeight, createWeight, doc, doc, doc, explain, explain, getDefaultQueryCache, getDefaultQueryCachingPolicy, getDefaultSimilarity, getIndexReader, getQueryCache, getQueryCachingPolicy, getSimilarity, getTopReaderContext, rewrite, search, search, search, search, search, search, search, search, search, searchAfter, searchAfter, searchAfter, searchAfter, searchAfter, searchAfter, setDefaultQueryCache, setDefaultQueryCachingPolicy, setQueryCache, setQueryCachingPolicy, setSimilarity, slices, termStatistics, toString, wrapFilter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ToParentBlockJoinIndexSearcher

          public ToParentBlockJoinIndexSearcher(IndexReader r,
                                        ExecutorService executor)

      Creates a searcher searching the provided index. Search on individual segments will be run in the provided `ExecutorService`.
      See Also:
        `IndexSearcher.IndexSearcher(IndexReader, ExecutorService)`

    - #### ToParentBlockJoinIndexSearcher

          public ToParentBlockJoinIndexSearcher(IndexReader r)

      Creates a searcher searching the provided index.
      See Also:
        `IndexSearcher.IndexSearcher(IndexReader)`

  - ### Method Detail

    - #### search

          protected void search(List<LeafReaderContext> leaves,
                    Weight weight,
                    Collector collector)
                         throws IOException

      Overrides:
        `search` in class `IndexSearcher`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.